Package org.apache.tomcat.util.descriptor.tagplugin

## Class TagPluginParser

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tagplugin.TagPluginParser

    public class TagPluginParser
    extends java.lang.Object

Parser for Tag Plugin descriptors.

### Constructor Summary

Constructors
`TagPluginParser​(ServletContext context, boolean blockExternal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPlugin​(java.lang.String tagClass, java.lang.String pluginClass)`
`java.util.Map<java.lang.String,​java.lang.String>` `getPlugins()`
`void` `parse​(java.net.URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TagPluginParser

    public TagPluginParser​(ServletContext context,
                           boolean blockExternal)

### Method Detail

#### parse

    public void parse​(java.net.URL url)
               throws java.io.IOException,
                      org.xml.sax.SAXException

Throws:
  `java.io.IOException`
  `org.xml.sax.SAXException`

#### addPlugin

    public void addPlugin​(java.lang.String tagClass,
                          java.lang.String pluginClass)

#### getPlugins

    public java.util.Map<java.lang.String,​java.lang.String> getPlugins()